# random_generator< T > Class Template Reference

The class random_generator can be used in the STL generate function to easily generate random ints either between [0, _max) if only one value (_max) is given to the ctor or in [_min,_max) if 2 values are given (_min, _max). More...

`#include <rnd_generators.h>`

List of all members.

## Public Member Functions

| random_generator (T _max, eoRng &_rng=rng)
| random_generator (T _min, T _max, eoRng &_rng=rng)
T | operator() (void)
template<>
bool | operator() (void)

## Private Attributes

T | minim
T | range
eoRng & | random

## Detailed Description

### template<class T = uint32_t>
class random_generator< T >

The class random_generator can be used in the STL generate function to easily generate random ints either between [0, _max) if only one value (_max) is given to the ctor or in [_min,_max) if 2 values are given (_min, _max).

Definition at line 87 of file rnd_generators.h.

The documentation for this class was generated from the following file:

- rnd_generators.h